MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025576Open CASCADE[OCCT] OCCT:Visualizationpublic2014-12-09 15:202016-12-09 16:38
Reporterisz 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025576: Visualization - implement AIS_ConnectedInteractive::AcceptDisplayMode()
DescriptionAfter creating a connected object from a point, the point is not displayed in shaded mode, but it can be highlighted and selected.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit
vpoint p 0 0 0
vsetdispmode p 1
vsetdispmode p 0
vconnectto i 2 0 0 p
vfit
vsetdispmode i 0
vsetdispmode i 1
vsetdispmode i 0
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0055774)
git (administrator)
2016-07-09 18:26

Branch CR25576 has been created by kgv.

SHA-1: 96f56696bc41c36d2bad6470acdb862d2368ab5e


Detailed log of new commits:

Author: kgv
Date: Sat Jul 9 18:25:46 2016 +0300

    0025576: Visualization - implement AIS_ConnectedInteractive::AcceptDisplayMode()
    
    by redirecting to myReference->AcceptDisplayMode().
(0055775)
kgv (developer)
2016-07-09 18:26

Please test the patch, new test case is not needed.
(0055818)
git (administrator)
2016-07-11 14:52

Branch CR25576 has been updated forcibly by apv.

SHA-1: b0ff9c7a34f9290cabcc990823617f8393dd3441
(0055819)
apv (tester)
2016-07-11 14:53

Branch CR25576 has been rebased on the current master
(0055859)
apv (tester)
2016-07-12 16:03

Dear BugMaster,

Branch CR25576 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b0ff9c7a34f9290cabcc990823617f8393dd3441

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1162

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89887171 / 89889748 [-0.00%]
Total CPU difference: 19306.8299999999 / 19174.020000000044 [+0.69%]

Testing on Windows:
Total MEMORY difference: 57391346 / 57421389 [-0.05%]
Total CPU difference: 17820.633834098917 / 17719.872788198896 [+0.57%]
(0056114)
git (administrator)
2016-07-22 10:44

Branch CR25576 has been deleted by inv.

SHA-1: b0ff9c7a34f9290cabcc990823617f8393dd3441

- Related Changesets
occt: master 60adbe67
Timestamp: 2016-07-09 15:25:46
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025576: Visualization - implement AIS_ConnectedInteractive::AcceptDisplayMode()

by redirecting to myReference->AcceptDisplayMode().
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.hxx Diff ] File ]
rm - src/AIS/AIS_ConnectedInteractive.lxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-09 15:20 isz New Issue
2014-12-09 15:20 isz Assigned To => kgv
2014-12-17 00:06 san Relationship added related to 0025251
2015-04-27 19:23 kgv Target Version 6.9.0 => 7.1.0
2016-07-09 18:24 kgv Summary Visualization - problem with connected point (AIS_ConnectedInteractive) => Visualization - implement AIS_ConnectedInteractive::AcceptDisplayMode()
2016-07-09 18:26 git Note Added: 0055774
2016-07-09 18:26 kgv Note Added: 0055775
2016-07-09 18:26 kgv Assigned To kgv => bugmaster
2016-07-09 18:26 kgv Severity minor => trivial
2016-07-09 18:26 kgv Status new => resolved
2016-07-09 18:26 kgv Steps to Reproduce Updated View Revisions
2016-07-09 18:27 kgv Status resolved => reviewed
2016-07-11 12:34 mkv Assigned To bugmaster => apv
2016-07-11 14:52 git Note Added: 0055818
2016-07-11 14:53 apv Note Added: 0055819
2016-07-12 14:42 apv Test case number => Not needed
2016-07-12 16:03 apv Note Added: 0055859
2016-07-12 16:03 apv Assigned To apv => bugmaster
2016-07-12 16:03 apv Status reviewed => tested
2016-07-15 10:44 bugmaster Changeset attached => occt master 60adbe67
2016-07-15 10:44 bugmaster Status tested => verified
2016-07-15 10:44 bugmaster Resolution open => fixed
2016-07-22 10:44 git Note Added: 0056114
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker